# Class CIM_CalculatesAmong
extends CIM_ServiceSAPDependency

This is a specialization of the ServiceSAPDependency association, indicating that the referenced ProtocolEndpoint is utilized by the RouteCalculationService to provide its functionality.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ServiceSAPDependency
|
+--CIM_CalculatesAmong

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This is a specialization of the ServiceSAPDependency association, indicating that the referenced ProtocolEndpoint is utilized by the RouteCalculationService to provide its functionality.
UMLPackagePath | string | CIM::Network::RoutingForwarding
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IsStatic | boolean |
Deprecated | string | No value
Description | string | TRUE indicates that this ProtocolEndpoint represents a static route, and FALSE means that it represents a dynamically-learned route. This property is deprecated since a Service may use an Endpoint to output several routes, some static and others dynamic.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_CalculatesAmong | CIM_ProtocolEndpoint
Dependent | CIM_CalculatesAmong | CIM_RouteCalculationService

## Class Methods